problem installing on 64bits Centos

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

problem installing on 64bits Centos

Woody Dickson
Hi,

I am getting the following error while trying to setup another opensips instance on a 64bits Centos.  I already have zlib installed, but I am still getting the following error:


make[1]: Entering directory `/usr/src/opensips_1_4/modules/db_mysql'
Linking db_mysql.so
gcc -shared  -Wl,-O2 -Wl,-E    dbase.o db_mysql.o my_con.o res.o row.o val.o  -L/usr/lib64/mysql -lmysqlclient -lz -lcrypt -lnsl -lm -L/usr/lib64 -lssl -lcrypto -o db_mysql.so
/usr/bin/ld: skipping incompatible /usr/lib/libz.so when searching for -lz
/usr/bin/ld: skipping incompatible /usr/lib/libz.a when searching for -lz
/usr/bin/ld: cannot find -lz
collect2: ld returned 1 exit status
make[1]: *** [db_mysql.so] Error 1
make[1]: Leaving directory `/usr/src/opensips_1_4/modules/db_mysql'
make: *** [modules] Error 2
[root@localhost opensips_1_4]#

Any suggestion on fixing this problem will be greatly appreciated.

Thanks,
Woody


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: problem installing on 64bits Centos

Bogdan-Andrei Iancu
Hi Woody,

probably you have zlib installed both 32 and 64 bits on your
server.....try customizing the path in modules/mysql/Makefile to
explicitly include the 64 version only

Regards,
Bogdan

Woody Dickson wrote:

> Hi,
>
> I am getting the following error while trying to setup another
> opensips instance on a 64bits Centos.  I already have zlib installed,
> but I am still getting the following error:
>
>
> make[1]: Entering directory `/usr/src/opensips_1_4/modules/db_mysql'
> Linking db_mysql.so
> gcc -shared  -Wl,-O2 -Wl,-E    dbase.o db_mysql.o my_con.o res.o row.o
> val.o  -L/usr/lib64/mysql -lmysqlclient -lz -lcrypt -lnsl -lm
> -L/usr/lib64 -lssl -lcrypto -o db_mysql.so
> /usr/bin/ld: skipping incompatible /usr/lib/libz.so when searching for -lz
> /usr/bin/ld: skipping incompatible /usr/lib/libz.a when searching for -lz
> /usr/bin/ld: cannot find -lz
> collect2: ld returned 1 exit status
> make[1]: *** [db_mysql.so] Error 1
> make[1]: Leaving directory `/usr/src/opensips_1_4/modules/db_mysql'
> make: *** [modules] Error 2
> [root@localhost opensips_1_4]#
>
> Any suggestion on fixing this problem will be greatly appreciated.
>
> Thanks,
> Woody
>
> ------------------------------------------------------------------------
>
> _______________________________________________
> Users mailing list
> [hidden email]
> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>  


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users